<?xml version="1.0" encoding="UTF-8"?>
<MonitorEventSpec
    xmlns="http://com.ibm.wbi/xml/monitor/es"
    xmlns:je="http://com.ibm.wbi/xml/monitor/LegacyAdapterEvents"
    xmlns:er="http://com.ibm.wbi/xml/monitor/ITEvents"
    >
    <Name>je:ServiceEvents</Name>

    <ComponentKind>http://www.ibm.com/xmlns/prod/websphere/scdl/6.0.0/LegacyAdapter</ComponentKind>

    <Events>
        <Event name="WBI.LegacyAdapter.SDORead.ENTRY" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload name="DEFAULT">
                <Data role="Input" type="string" minOccurs="1" maxOccurs="1"/>
            </Payload>
        </Event>

        <Event name="WBI.LegacyAdapter.SDORead.EXIT" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload>
                <Data role="Output" type="businessObject" maxOccurs="1"/> <!-- data object -->
            </Payload>
        </Event>

        <Event name="WBI.ER" refName="WBI.ErrorReport" from="er:ITEvents"/>
        <Event name="WBI.LegacyAdapter.SDORead.FAILURE" parent="WBI.ER" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload>
                <Data role="Input" type="string" minOccurs="1" maxOccurs="1"/>
            </Payload>
        </Event>

        <Event name="WBI.LegacyAdapter.SDOWrite.ENTRY" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload name="DEFAULT">
                <Data role="Input" type="businessObject" minOccurs="1" maxOccurs="1"/> <!-- data object -->
            </Payload>
        </Event>

        <Event name="WBI.LegacyAdapter.SDOWrite.EXIT" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload>
                <Data role="Output" type="string" maxOccurs="1"/>
            </Payload>
        </Event>

        <Event name="WBI.LegacyAdapter.SDOWrite.FAILURE" parent="WBI.ER" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload>
                <Data role="Input" type="primitive businessObject" minOccurs="1" maxOccurs="1"/>
            </Payload>
        </Event>

        <Event name="WBI.LegacyAdapter.BGRead.ENTRY" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload name="DEFAULT">
                <Data role="Input" type="primitive businessObject" minOccurs="1" maxOccurs="1"/>
            </Payload>
        </Event>

        <Event name="WBI.LegacyAdapter.BGRead.EXIT" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload>
                <Data role="Output" type="primitive businessObject" maxOccurs="1"/>
            </Payload>
        </Event>

        <Event name="WBI.LegacyAdapter.BGRead.FAILURE" parent="WBI.ER" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload>
                <Data role="Input" type="primitive businessObject" minOccurs="1" maxOccurs="1"/>
            </Payload>
        </Event>

        <Event name="WBI.LegacyAdapter.BGWrite.ENTRY" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload name="DEFAULT">
                <Data role="Input" type="primitive businessObject" minOccurs="1" maxOccurs="1"/>
            </Payload>
        </Event>

        <Event name="WBI.LegacyAdapter.BGWrite.EXIT" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload>
                <Data role="Output" type="primitive businessObject" maxOccurs="1"/>
            </Payload>
        </Event>

        <Event name="WBI.LegacyAdapter.BGWrite.FAILURE" parent="WBI.ER" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload>
                <Data role="Input" type="primitive businessObject" minOccurs="1" maxOccurs="1"/>
            </Payload>
        </Event>

        <Event name="WBI.LegacyAdapter.FunctionSelector.ENTRY" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload name="DEFAULT">
                <Data role="Input" type="primitive businessObject" minOccurs="1" maxOccurs="1"/>
            </Payload>
        </Event>

        <Event name="WBI.LegacyAdapter.FunctionSelector.EXIT" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload>
                <Data role="Output" type="string" maxOccurs="1"/>
            </Payload>
        </Event>

        <Event name="WBI.LegacyAdapter.FunctionSelector.FAILURE" parent="WBI.ER" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload>
                <Data role="Input" type="primitive businessObject" minOccurs="1" maxOccurs="1"/>
            </Payload>
        </Event>

        <Event name="WBI.LegacyAdapter.LoadBO.PREINVOKE" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload name="DEFAULT">
                <Data role="Input" type="businessObject" minOccurs="1" maxOccurs="1"/> <!-- data object-->
            </Payload>
        </Event>
        <Event name="WBI.LegacyAdapter.LoadBO.POSTINVOKE" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload name="DEFAULT">
                <Data role="Output" type="businessObject" minOccurs="1" maxOccurs="1"/>
            </Payload>
        </Event>

        <Event name="WBI.LegacyAdapter.SaveBO.PREINVOKE" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload name="DEFAULT">
                <Data role="Output" type="businessObject" minOccurs="1" maxOccurs="1"/>
            </Payload>
        </Event>

        <Event name="WBI.LegacyAdapter.SaveBO.POSTINVOKE" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload name="DEFAULT">
                <Data role="Output" type="businessObject" minOccurs="1" maxOccurs="1"/> <!-- data object-->
            </Payload>
        </Event>

        <Event name="WBI.LegacyAdapter.SetJMSType.PREINVOKE" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload name="DEFAULT">
            </Payload>
        </Event>

        <Event name="WBI.LegacyAdapter.SetJMSType.POSTINVOKE" situationType="STATUS" situationCategory="ReportSituation" reasoningScope="EXTERNAL">
            <Payload name="DEFAULT">
            </Payload>
        </Event>

    </Events>
</MonitorEventSpec>
